Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Except_Dcl Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Except_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Except_Dcl:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Except_Dcl (TAO_PSDL_Node *identifier)
| ****************************************************************. More...
| TAO_PSDL_Except_Dcl (TAO_PSDL_Node *identifier, TAO_PSDL_Node *member_list)
virtual | ~TAO_PSDL_Except_Dcl (void)
TAO_PSDL_Node * | identifier (void) const
| Get the value. More...
TAO_PSDL_Node * | member_list (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | identifier_
| The values. More...
TAO_PSDL_Node * | member_list_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Except_Dcl::TAO_PSDL_Except_Dcl | ( | TAO_PSDL_Node * | identifier | ) |

| ****************************************************************.

TAO_PSDL_Except_Dcl::TAO_PSDL_Except_Dcl | ( | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | member_list
| ) |

TAO_PSDL_Except_Dcl::~TAO_PSDL_Except_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Except_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Except_Dcl::identifier | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Except_Dcl::member_list | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Except_Dcl::identifier_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Except_Dcl::member_list_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp